View Issue Details

IDProjectCategoryView StatusLast Update
0001920SUMoBugpublic2013-01-21 18:42
ReporterpoutnikgAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformNotebook Lenovo T400OSWindows XPOS VersionProfesional SP3
Product Version3.5 
Target VersionFixed in Version3.5.1 
Summary0001920: SUMO again misidentify Firefox ESR
DescriptionSUMO again misidentify Firefox ESR and advise user to update FF ESR 17.0.2 to FF 18.x.
No sure if ini file location or content changed, so it is not working anymore.

Additional InformationThe ini file is located at
C:\Program Files\Mozilla Firefox\update-settings.ini

with content

; If you modify this file updates may fail.
; Do not modify this file.

[Settings]
ACCEPTED_MAR_CHANNEL_IDS=firefox-mozilla-esr
TagsNo tags attached.

Relationships

related to 0001599 resolvedKyle_Katarn Inproper detection of Firefox ESR ( Extended Service Release ) 

Activities

poutnikg

2013-01-14 17:43

reporter   ~0001357

Last edited: 2013-01-14 17:45

View 3 revisions

Sure, it is me.

When the FF ESR was released for the first time ( ver 10 ), Kyle was struggling with ways how to distinguish Normal FF and ESR Firefox, as not possible or obvious from binaries.

After my investigation I had realized the difference is in config files,
telling to Firefox what update channel it should follow.

So finally Kyle used that config to detect, if user is using normal or ESR Firefox.

The config file pathname or content may possibly changed or whatever,
but after long time current SUMO version suddenly wanted me to update my FF ESR 17.0.2 ( current ) to FF 18.

bytehead

2013-01-16 11:06

reporter   ~0001359

Last edited: 2013-01-16 11:10

View 2 revisions

Hmm, I see now. Sorry, poutnikg. I just wasn't in the mood.

--
Edit: sarcastic post deleted.

Issue History

Date Modified Username Field Change
2013-01-14 11:11 poutnikg New Issue
2013-01-14 17:43 poutnikg Note Added: 0001357
2013-01-14 17:43 poutnikg Note Edited: 0001357 View Revisions
2013-01-14 17:45 poutnikg Note Edited: 0001357 View Revisions
2013-01-14 21:20 Kyle_Katarn Assigned To => Kyle_Katarn
2013-01-14 21:20 Kyle_Katarn Status new => acknowledged
2013-01-14 21:21 Kyle_Katarn Relationship added related to 0001599
2013-01-16 11:06 bytehead Note Added: 0001359
2013-01-16 11:10 bytehead Note Edited: 0001359 View Revisions
2013-01-20 21:53 Kyle_Katarn Status acknowledged => resolved
2013-01-20 21:53 Kyle_Katarn Fixed in Version => 3.5.1
2013-01-20 21:53 Kyle_Katarn Resolution open => fixed